Subject: Ticket Assigned - Complaining about very slow service in click and collect counter in Riyadh Gallery store
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 26 Jan 2021 04:41:43 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Complaining about very slow service in click and collect counter in Riyadh Gallery store Respected sir,
I wish to bring to your notice that the service in click and collect
counter at Riyadh Gallery is very very slow and pathetic. This has been
each time I have went there.
In addition to this the device used for scanning and retrieving the order
information is pathetically slow.
I hope you look into this matter.

Regards,

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2020795